# Deprecated API

## Contents

- Classes
- Constructors

Deprecated Classes
Class
Description
uk.ac.starlink.fits.ColFitsTableWriter
Use
invalid reference

    uk.ac.starlink.votable.UnifiedFitsTableWriter

instead
uk.ac.starlink.fits.HduFitsTableWriter
Use
invalid reference

    uk.ac.starlink.votable.UnifiedFitsTableWriter

instead
uk.ac.starlink.fits.VariableFitsTableWriter
Use
invalid reference

    uk.ac.starlink.votable.UnifiedFitsTableWriter

instead

Deprecated Constructors
Constructor
Description
uk.ac.starlink.fits.ColFitsTableWriter(String, WideFits)
allows some configuration options but not others; use no-arg constructor and configuration methods instead
uk.ac.starlink.fits.FitsTableWriter(String, boolean, WideFits)
allows some configuration options but not others; use no-arg constructor and configuration methods instead
uk.ac.starlink.fits.HduFitsTableWriter(String, boolean, WideFits)
allows some configuration options but not others; use no-arg constructor and configuration methods instead
uk.ac.starlink.fits.VariableFitsTableWriter(Boolean, boolean, WideFits)
allows some configuration options but not others; use no-arg constructor and configuration methods instead